com.amazonaws.services.lambda.model

## Class EnvironmentError

- java.lang.Object
- - com.amazonaws.services.lambda.model.EnvironmentError

All Implemented Interfaces:
  Serializable, Cloneable

    public class EnvironmentError
    extends Object
    implements Serializable, Cloneable

The parent object that contains error information associated with your configuration settings.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`EnvironmentError()`

### Method Summary

All Methods Instance Methods Concrete Methods
`EnvironmentError` `clone()`
`boolean` `equals(Object obj)`
`String` `getErrorCode()` The error code returned by the environment error object.
`String` `getMessage()` The message returned by the environment error object.
`int` `hashCode()`
`void` `setErrorCode(String errorCode)` The error code returned by the environment error object.
`void` `setMessage(String message)` The message returned by the environment error object.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`EnvironmentError` `withErrorCode(String errorCode)` The error code returned by the environment error object.
`EnvironmentError` `withMessage(String message)` The message returned by the environment error object.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EnvironmentError

    public EnvironmentError()

### Method Detail

#### setErrorCode

    public void setErrorCode(String errorCode)

The error code returned by the environment error object.

Parameters:
  `errorCode` - The error code returned by the environment error object.

#### getErrorCode

    public String getErrorCode()

The error code returned by the environment error object.

Returns:
  The error code returned by the environment error object.

#### withErrorCode

    public EnvironmentError withErrorCode(String errorCode)

The error code returned by the environment error object.

Parameters:
  `errorCode` - The error code returned by the environment error object.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMessage

    public void setMessage(String message)

The message returned by the environment error object.

Parameters:
  `message` - The message returned by the environment error object.

#### getMessage

    public String getMessage()

The message returned by the environment error object.

Returns:
  The message returned by the environment error object.

#### withMessage

    public EnvironmentError withMessage(String message)

The message returned by the environment error object.

Parameters:
  `message` - The message returned by the environment error object.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public EnvironmentError clone()

Overrides:
  `clone` in class `Object`